pdf (file="extracactus.pdf")
d=read.csv("times/joined",sep=" ",head=T)
plot(subset(d,d[,1]<1000)[,1],pch=1,col=1,xlab="solved SAT competition 2014 application track instances (ordered by time)",ylab="time (sec)",main="")
f=dim(d)[2]
print (f)
for (c in f:1) {
  points(subset(d,d[,c]<1000)[,c],pch=c,col=8)
}
e=read.csv("extratimes/joined",sep=" ",head=T)
s=dim(e)[2]
print (s)
points(subset(e,e[,s]<1000)[,s],pch=f+s,col=1)
for (c in (s-1):1) {
  points(subset(e,e[,c]<1000)[,c],pch=f+c,col=c)
}
legend(139.5,578,inset=c(3,0),rev(names(d)),pch=(f):1,col=rep(8,f),bty="n")
legend(123,257,rev(names(e)),pch=(f+s):1,col=c(1,(s-1):1))
dev.off ()
